:root {
  --bg-color: #f4f4f8;
  --text-color: #212121;
  --accent-color: #0099ff;
  --danger-color: #ff4500;
  --accent-hover: #00bfff;
  --border-color: #d0d0d8;
  --code-bg: #e9e9f0;
  --mono-font: 'Consolas', 'Menlo', monospace;
  --sans-font: system-ui, -apple-system, 'Segoe UI', 'Roboto', sans-serif;
}

body {
  font-family: var(--sans-font);
  background-color: var(--bg-color);
  color: var(--text-color);
  margin: 0 auto;
  padding: 1rem;
  max-width: 1200px;
}

h1, h2, h3 {
  font-weight: 500;
  margin-top: 1rem;
  margin-bottom: 0.5rem;
  border-bottom: 1px solid var(--border-color);
  padding-bottom: 0.25rem;
}

h1 { color: var(--accent-color); }

a {
  color: var(--accent-color);
  text-decoration: none;
  font-weight: 600;
}
a:hover { text-decoration: underline; }

pre, code {
  font-family: var(--mono-font);
  background: var(--code-bg);
  border-radius: 2px;
}
pre {
  padding: 0.75rem;
  white-space: pre-wrap;
  word-wrap: break-word;
  border: 1px solid var(--border-color);
}

:not(pre) > code {
  padding: 0.1em 0.4em;
}


table {
  width: 100%;
  border-collapse: collapse;
  border: 1px solid var(--border-color);
  margin-bottom: 1rem;
}
th, td {
  border: 1px solid var(--border-color);
  padding: 0.4rem 0.6rem;
  text-align: left;
  vertical-align: top;
}
th {
  background-color: var(--code-bg);
  font-weight: 600;
}
tbody tr:hover { background-color: #e8f7ff; }


form { display: flex; flex-direction: column; gap: 0.5rem; }
form label { display: block; margin-bottom: 0.2rem; font-weight: 600;}
form ul { list-style: none; padding-left: 0; margin: 0; }
input[type="text"], input[type="file"], input[name="password"] {
  padding: 0.5rem;
  border: 1px solid var(--border-color);
  background: #fff;
  width: 100%;
  box-sizing: border-box;
}
input:focus { outline: 2px solid var(--accent-color); }

input[type="submit"], button {
  background-color: var(--accent-color);
  color: white;
  border: none;
  padding: 0.6rem 1rem;
  cursor: pointer;
  font-weight: 600;
  align-self: flex-start;
}
input[type="submit"]:hover, button:hover { background-color: var(--accent-hover); }
button { font-family: var(--sans-font); font-size: 1em; }

button.dangerous {
    background: var(--danger-color);
}

button.dangerous:hover {
    background: oklch(from var(--danger-color) calc(l*0.9) c h);
}

div[style*="border-left"] {
  border-left: 4px solid var(--accent-color) !important;
  background-color: #fff;
  padding: 1rem !important;
  padding-left: 1.5rem !important;
  margin-bottom: 1rem !important;
}


summary {
  cursor: pointer;
  font-weight: 600;
  padding: 0.25rem 0.5rem;
  margin-left: -0.5rem;
}
summary:hover { background-color: var(--code-bg); }
details { padding: 0.5rem; }
details[open] {
  border-left: 2px solid var(--accent-color);
  background-color: rgba(0, 153, 255, 0.03);
}
details[open] > summary { color: var(--accent-color); }
details *~* { margin-left:1em; }
